
<h1 class="title">	<?= __('escorts') ?></h1>
<?

if(count($this->escorts) > 0):
foreach($this->escorts as $escort):
    $escort = new Model_EscortV2Item($escort);
       

?>
<div class="escort">
    <p class="showname"><?= $escort->showname ?></p>
    <a href="<?=$this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id ), true);?>"><img src="<?= $escort->getMainPhoto()->getUrl('m95') ?>" width="95" height="129" alt="" /></a>
    <div class="city">
      <? if ( $escort->tour_city_id && $escort->hasProduct(Model_Escorts::PRODUCT_TOUR_ABILITY) ): ?>
			<?= __('city') ?>: <span class="strong"><?= $escort->tour_city ?></span>
		<? else: ?>
			<? if($escort->f_city): ?>
			 <span class="strong"><?= $escort->f_city ?></span>
			<? else: ?>
			 <span class="strong"><?= $escort->af_city ?></span>
			<? endif; ?>
		<? endif; ?>
    </div>
    <?/*<div>
        <? $rate = ''; $rates = $escort->getRates(); ?>
					<? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_INCALL] ?>
					<? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_OUTCALL] ?>
					<? endif; ?>
        <?
						$incall_rates = '';
						$outcall_rates = '';
						$one_h_incall_rate = array();
						$one_h_outcall_rate = array();
					?>
					<? $DEFINITIONS = Zend_Registry::get('defines'); ?>
					<? if ( count($rates) > 0 ): ?>
						<? if ( isset($rates[AVAILABLE_INCALL]) ): ?>
							<? $incall_rates .= $this->t('incall_rates') . '::'; ?>
							<? foreach( $rates[AVAILABLE_INCALL] as $rate ): ?>

								<? if( $rate->time_unit == TIME_HOURS && $rate->time == 1 ): ?>
									<? $one_h_incall_rate = $rate; ?>
								<? endif; ?>

								<? $incall_rates .= "&lt;div&gt;{$rate->time} {$rate->time_unit_title} - {$rate->price} {$rate->currency_title}&lt;/div&gt;"; ?>
							<? endforeach; ?>
						<? endif; ?>

						<? if ( isset($rates[AVAILABLE_OUTCALL]) ): ?>
							<? $outcall_rates .= $this->t('outcall_rates') .'::'; ?>
							<? foreach( $rates[AVAILABLE_OUTCALL] as $rate ): ?>

								<? if( $rate->time_unit == TIME_HOURS && $rate->time == 1 ): ?>
									<? $one_h_outcall_rate = $rate; ?>
								<? endif; ?>

								<? $outcall_rates .= "&lt;div&gt;{$rate->time} {$rate->time_unit_title} - {$rate->price} {$rate->currency_title}&lt;/div&gt;"; ?>
							<? endforeach; ?>
						<? endif; ?>
					<? endif; ?>

					<? $rate_str = ''; ?>
					<? if ( isset($one_h_outcall_rate->time) ): ?>
                    
                         <? $rate_str = $one_h_outcall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_outcall_rate->currency_id] . ' ' . $one_h_outcall_rate->price; ?>
					<? endif; ?>
					<? if( isset($one_h_incall_rate->time) ): ?>
                        
						<? $rate_str = $one_h_incall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_incall_rate->currency_id] . ' ' . $one_h_incall_rate->price; ?>
					<? endif; ?>
					<? if ( strlen($rate_str) ): ?>
                        <?
                        if(isset($one_h_incall_rate->time)):
                        ?>
                        <span class="incall"></span>
                        <? elseif($one_h_outcall_rate->time): ?>
                        <span class="outcall"></span>
                        <? endif;?>
						<span class="price"><?= $rate_str ?></span>
					<? endif; ?>
					<div class="clear"></div>
    </div>*/?>
</div>
<? endforeach; ?>

<div class="clear"></div>

<?
$config = Zend_Registry::get('mobile_config');
$config = $config['escorts'];

$pages_count = ceil($this->count / $config['perPage']);

$uri = $_SERVER['REQUEST_URI'];
$uri = preg_replace('#^en/#', '', $uri);
$pos = strpos($uri, '&page=');
if ($pos !== FALSE)
	$uri = substr($uri, 0, $pos);

?>
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->page, $config['perPage'], 5, 2); ?>
	<? if ( 1 < $this->page): ?>
	<? $this->page == 2 ? $p = null : $p = '&page=' . ($this->page - 1); ?>
    <a href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" > <?= $this->t('previous') ?></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>

	<? if ( $this->page == $page ): ?>
	<span class="active"><?= $page ?></span>
	<? else: ?>
	<? $page == 1 ? $p = null : $p = '&page=' . $page ?>
    <a class="number" href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" ><?= $page ?></a>
	<? endif ?>

	<? endforeach ?>

	<? if ( $pages_count > $this->page): ?>
	<? $p = '&page=' . ($this->page + 1); ?>
	<a href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" ><?= $this->t('next') ?> </a>
	<? endif ?>
</div>
<? endif; ?>


<div class="clear"></div>

<? else: ?>
	<? if ( ! count($this->premiums) ): ?>
	<h2 class="no-escort"><?= $this->t('no_escorts_found') ?></h2>
	<? endif; ?>
	<div class="clear"></div>
<? endif; ?>


